Commit 21958373 authored by Christian Hergert's avatar Christian Hergert
Browse files

flatpak: add define for min gnome version

We only want to show recent gnome versions by default, so make this a
define so we can easily change it.
parent 4f1291ec
......@@ -17,6 +17,7 @@
*/
#define G_LOG_DOMAIN "gbp-flatpak-preferences-addin"
#define MIN_GNOME_VERSION "3.22"
#include <flatpak.h>
#include <glib/gi18n.h>
......@@ -133,10 +134,7 @@ is_old_gnome_version (const gchar *version)
if (g_str_equal (version, "master"))
return FALSE;
if (g_utf8_collate ("3.20", version) > 0)
return TRUE;
return FALSE;
return g_utf8_collate (MIN_GNOME_VERSION, version) > 0;
}
static void
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment